NetworkLink (KML Framework API)
Keywords: org.boehn.kmlframework.todo.servlet.NetworkLink class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.todo.servlet
Class NetworkLink

    java.lang.Object
      org.boehn.kmlframework.todo.servlet.NetworkLink

    public class NetworkLink

extends java.lang.Object

Constructor Summary
`NetworkLink()`
`NetworkLink(java.lang.String url, java.lang.String name)`

Method Summary
`void` | `addKml(org.w3c.dom.Element parentElement, Kml model, org.w3c.dom.Document xmlDocument)`
`java.lang.Boolean` | `getFlyToView()`
`java.lang.String` | `getName()`
`java.lang.Boolean` | `getOpen()`
`java.lang.Integer` | `getRefreshInterval()`
`RefreshModes` | `getRefreshMode()`
`java.lang.Boolean` | `getRefreshVisibility()`
`java.lang.String` | `getUrl()`
`java.lang.String` | `getViewFormat()`
`ViewRefreshModes` | `getViewRefreshMode()`
`java.lang.Integer` | `getViewRefreshTime()`
`void` | `setFlyToView(java.lang.Boolean flyToView)`
`void` | `setName(java.lang.String name)`
`void` | `setOpen(java.lang.Boolean open)`
`void` | `setRefreshInterval(java.lang.Integer refreshInterval)`
`void` | `setRefreshMode(RefreshModes refreshMode)`
`void` | `setRefreshVisibility(java.lang.Boolean refreshVisibility)`
`void` | `setUrl(java.lang.String url)`
`void` | `setViewFormat(java.lang.String viewFormat)`
`void` | `setViewRefreshMode(ViewRefreshModes viewRefreshMode)`
`void` | `setViewRefreshTime(java.lang.Integer viewRefreshTime)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetworkLink

    public NetworkLink()

### NetworkLink

    public NetworkLink(java.lang.String url,
                       java.lang.String name)

Method Detail

### getFlyToView

    public java.lang.Boolean getFlyToView()

### setFlyToView

    public void setFlyToView(java.lang.Boolean flyToView)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getRefreshMode

    public RefreshModes getRefreshMode()

### setRefreshMode

    public void setRefreshMode(RefreshModes refreshMode)

### getRefreshInterval

    public java.lang.Integer getRefreshInterval()

### setRefreshInterval

    public void setRefreshInterval(java.lang.Integer refreshInterval)

### getUrl

    public java.lang.String getUrl()

### setUrl

    public void setUrl(java.lang.String url)

### getViewFormat

    public java.lang.String getViewFormat()

### setViewFormat

    public void setViewFormat(java.lang.String viewFormat)

### getViewRefreshMode

    public ViewRefreshModes getViewRefreshMode()

### setViewRefreshMode

    public void setViewRefreshMode(ViewRefreshModes viewRefreshMode)

### getViewRefreshTime

    public java.lang.Integer getViewRefreshTime()

### setViewRefreshTime

    public void setViewRefreshTime(java.lang.Integer viewRefreshTime)

### getRefreshVisibility

    public java.lang.Boolean getRefreshVisibility()

### setRefreshVisibility

    public void setRefreshVisibility(java.lang.Boolean refreshVisibility)

### getOpen

    public java.lang.Boolean getOpen()

### setOpen

    public void setOpen(java.lang.Boolean open)

### addKml

    public void addKml(org.w3c.dom.Element parentElement,
                       Kml model,
                       org.w3c.dom.Document xmlDocument)
                throws KmlException

  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD